(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     77552,       2799]
NotebookOptionsPosition[     70233,       2550]
NotebookOutlinePosition[     70824,       2571]
CellTagsIndexPosition[     70781,       2568]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Off", "[", 
    RowBox[{"General", "::", "\"\<spell\>\""}], "]"}], ";", " ", 
   RowBox[{"Off", "[", 
    RowBox[{"General", "::", "\"\<spell1\>\""}], "]"}], ";"}], " "}]], "Input"],

Cell["\<\
Put the original Skyrme interaction in to see that we get what we expect
from the gradient terms:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"P1", "=", 
  RowBox[{
   RowBox[{"t1", "/", "4"}], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"x1", "/", "2"}]}], ")"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", "t1", " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    FractionBox["x1", "2"]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"P2", "=", 
  RowBox[{
   RowBox[{"t2", "/", "4"}], 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"x2", "/", "2"}]}], ")"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", "t2", " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    FractionBox["x2", "2"]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Q1", "=", 
  RowBox[{
   RowBox[{"t1", "/", "4"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"1", "/", "2"}], "+", "x1"}], ")"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", "t1", " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["1", "2"], "+", "x1"}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Q2", "=", 
  RowBox[{
   RowBox[{"t2", "/", "4"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"1", "/", "2"}], "+", "x2"}], ")"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", "t2", " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["1", "2"], "+", "x2"}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"P1f", "=", "P1"}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", "t1", " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    FractionBox["x1", "2"]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"P2f", "=", "P2"}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", "t2", " ", 
  RowBox[{"(", 
   RowBox[{"1", "+", 
    FractionBox["x2", "2"]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dQ2dn", "=", "0"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Hgradient", "=", 
  RowBox[{"Simplify", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "/", "4"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "P1"}], "+", "P1f", "-", "P2f"}], ")"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nn", "[", "z", "]"}], "+", 
       RowBox[{"np", "[", "z", "]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["nn", "\[Prime]\[Prime]"], "[", "z", "]"}], "+", 
       RowBox[{
        SuperscriptBox["np", "\[Prime]\[Prime]"], "[", "z", "]"}]}], ")"}]}], 
    "\[IndentingNewLine]", "+", 
    RowBox[{
     RowBox[{"1", "/", "2"}], 
     RowBox[{"(", 
      RowBox[{"Q1", "+", "Q2"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"nn", "[", "z", "]"}], " ", 
        RowBox[{
         SuperscriptBox["nn", "\[Prime]\[Prime]"], "[", "z", "]"}]}], "+", 
       RowBox[{
        RowBox[{"np", "[", "z", "]"}], " ", 
        RowBox[{
         SuperscriptBox["np", "\[Prime]\[Prime]"], "[", "z", "]"}]}]}], 
      ")"}]}], "\[IndentingNewLine]", "-", 
    RowBox[{
     RowBox[{"1", "/", "4"}], 
     RowBox[{"(", 
      RowBox[{"Q1", "-", "Q2"}], ")"}], 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], "2"]}], ")"}]}], 
    "\[IndentingNewLine]", "+", 
    RowBox[{
     RowBox[{"dQ2dn", "/", "2"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox[
         RowBox[{"nn", "[", "z", "]"}], "\[Prime]"], " ", 
        RowBox[{"nn", "[", "z", "]"}]}], "+", 
       RowBox[{
        RowBox[{"np", "[", "z", "]"}], " ", 
        RowBox[{
         SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}]}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "+", 
       RowBox[{
        SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}]}], ")"}]}]}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "32"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"t1", "+", 
        RowBox[{"2", " ", "t1", " ", "x1"}], "-", 
        RowBox[{"t2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"2", " ", "x2"}]}], ")"}]}]}], ")"}]}], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["nn", "\[Prime]",
          MultilineFunction->None], "[", "z", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["np", "\[Prime]",
          MultilineFunction->None], "[", "z", "]"}], "2"]}], ")"}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "t1", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", "x1"}], ")"}]}], "-", 
       RowBox[{"t2", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", "x2"}], ")"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"nn", "[", "z", "]"}], "+", 
       RowBox[{"np", "[", "z", "]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["nn", "\[Prime]\[Prime]",
         MultilineFunction->None], "[", "z", "]"}], "+", 
       RowBox[{
        SuperscriptBox["np", "\[Prime]\[Prime]",
         MultilineFunction->None], "[", "z", "]"}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"t1", "+", "t2", "+", 
       RowBox[{"2", " ", "t1", " ", "x1"}], "+", 
       RowBox[{"2", " ", "t2", " ", "x2"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"nn", "[", "z", "]"}], " ", 
        RowBox[{
         SuperscriptBox["nn", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "z", "]"}]}], "+", 
       RowBox[{
        RowBox[{"np", "[", "z", "]"}], " ", 
        RowBox[{
         SuperscriptBox["np", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "z", "]"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Hgradient2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "1"}], "/", "16"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"3", " ", "t1", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"x1", "/", "2"}]}], ")"}]}], "-", 
      RowBox[{"t2", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"x2", "/", "2"}]}], ")"}]}]}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"nn", "[", "z", "]"}], "+", 
      RowBox[{"np", "[", "z", "]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["nn", "\[Prime]\[Prime]"], "[", "z", "]"}], "+", 
      RowBox[{
       SuperscriptBox["np", "\[Prime]\[Prime]"], "[", "z", "]"}]}], ")"}]}], 
   "+", 
   RowBox[{
    RowBox[{"1", "/", "16"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"3", " ", "t1", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "/", "2"}], "+", "x1"}], ")"}]}], "+", 
      RowBox[{"t2", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"1", "/", "2"}], "+", "x2"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"nn", "[", "z", "]"}], " ", 
       RowBox[{
        SuperscriptBox["nn", "\[Prime]\[Prime]"], "[", "z", "]"}]}], "+", 
      RowBox[{
       RowBox[{"np", "[", "z", "]"}], " ", 
       RowBox[{
        SuperscriptBox["np", "\[Prime]\[Prime]"], "[", "z", "]"}]}]}], 
     ")"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "16"]}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"3", " ", "t1", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox["x1", "2"]}], ")"}]}], "-", 
     RowBox[{"t2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox["x2", "2"]}], ")"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"nn", "[", "z", "]"}], "+", 
     RowBox[{"np", "[", "z", "]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["nn", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], "+", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "z", "]"}]}], ")"}]}], "+", 
  RowBox[{
   FractionBox["1", "16"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"3", " ", "t1", " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "2"], "+", "x1"}], ")"}]}], "+", 
     RowBox[{"t2", " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "2"], "+", "x2"}], ")"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"nn", "[", "z", "]"}], " ", 
      RowBox[{
       SuperscriptBox["nn", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "z", "]"}]}], "+", 
     RowBox[{
      RowBox[{"np", "[", "z", "]"}], " ", 
      RowBox[{
       SuperscriptBox["np", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "z", "]"}]}]}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Hgradient", "-", "Hgradient2"}], ")"}], "/.", 
    RowBox[{
     RowBox[{
      SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "\[Rule]", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"nn", "[", "z", "]"}]}], " ", 
       RowBox[{
        SuperscriptBox["nn", "\[Prime]\[Prime]"], "[", "z", "]"}]}], 
      "]"}]}]}], "/.", 
   RowBox[{
    RowBox[{
     SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], "\[Rule]", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"np", "[", "z", "]"}]}], " ", 
      RowBox[{
       SuperscriptBox["np", "\[Prime]\[Prime]"], "[", "z", "]"}]}], "]"}]}]}],
   "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]],

Cell["The original APR Lagrangian:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HAPR", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["h", "2"], "/", "2"}], "/", "m"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p3", "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "x"}], ")"}], "p5"}]}], ")"}], "\[Rho]", " ", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "p4"}], " ", "\[Rho]"}], "]"}]}]}], ")"}], "\[Tau]n"}], 
   "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["\.12h", "2"], "/", "2"}], "/", "m"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p3", "+", 
         RowBox[{"x", " ", "p5"}]}], ")"}], "\[Rho]", " ", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "p4"}], " ", "\[Rho]"}], "]"}]}]}], ")"}], "\[Tau]p"}], 
   "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"2", "x"}]}], ")"}], "2"]}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["\[Rho]", "2"]}], 
      RowBox[{"(", 
       RowBox[{"p1", "+", 
        RowBox[{"p2", " ", "\[Rho]"}], "+", 
        RowBox[{"p6", " ", 
         SuperscriptBox["\[Rho]", "2"]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"p10", "+", "p11"}], ")"}], 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["p9", "2"]}], 
           SuperscriptBox["\[Rho]", "2"]}], "]"}]}]}], ")"}]}], ")"}]}], "+", 
   
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "x"}]}], ")"}], "2"], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["\[Rho]", "2"]}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"p12", "/", "\[Rho]"}], "+", "p7", "+", 
        RowBox[{"p8", " ", "\[Rho]"}], "+", 
        RowBox[{"p13", " ", 
         RowBox[{"Exp", "[", 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["p9", "2"]}], 
           SuperscriptBox["\[Rho]", "2"]}], "]"}]}]}], ")"}]}], 
     ")"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "x"}]}], ")"}], "2"]}], " ", 
   SuperscriptBox["\[Rho]", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["p9", "2"]}], " ", 
        SuperscriptBox["\[Rho]", "2"]}]], " ", "p13"}], "+", "p7", "+", 
     FractionBox["p12", "\[Rho]"], "+", 
     RowBox[{"p8", " ", "\[Rho]"}]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "x"}]}], ")"}], "2"]}], ")"}], " ", 
   SuperscriptBox["\[Rho]", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"p1", "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["p9", "2"]}], " ", 
        SuperscriptBox["\[Rho]", "2"]}]], " ", 
      RowBox[{"(", 
       RowBox[{"p10", "+", "p11"}], ")"}]}], "+", 
     RowBox[{"p2", " ", "\[Rho]"}], "+", 
     RowBox[{"p6", " ", 
      SuperscriptBox["\[Rho]", "2"]}]}], ")"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      SuperscriptBox["h", "2"], 
      RowBox[{"2", " ", "m"}]], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "p4"}], " ", "\[Rho]"}]], " ", 
      RowBox[{"(", 
       RowBox[{"p3", "+", 
        RowBox[{"p5", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", "x"}], ")"}]}]}], ")"}], " ", "\[Rho]"}]}], ")"}],
    " ", "\[Tau]n"}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      SuperscriptBox["\.12h", "2"], 
      RowBox[{"2", " ", "m"}]], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "p4"}], " ", "\[Rho]"}]], " ", 
      RowBox[{"(", 
       RowBox[{"p3", "+", 
        RowBox[{"p5", " ", "x"}]}], ")"}], " ", "\[Rho]"}]}], ")"}], " ", 
   "\[Tau]p"}]}]], "Output"]
}, Open  ]],

Cell["The kinetic terms:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HkinAPR", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["h", "2"], "/", "2"}], "/", "m"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"n", " ", "p3"}], "+", 
         RowBox[{"nn", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "p4"}], " ", "n"}], "]"}]}]}], ")"}], "\[Tau]n"}], "+", 
   
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["h", "2"], "/", "2"}], "/", "m"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"p3", " ", "n"}], "+", 
         RowBox[{"np", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", "p4"}], " ", "n"}], "]"}]}]}], ")"}], 
    "\[Tau]p"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      SuperscriptBox["h", "2"], 
      RowBox[{"2", " ", "m"}]], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "n"}], " ", "p4"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"n", " ", "p3"}], "+", 
        RowBox[{"nn", " ", "p5"}]}], ")"}]}]}], ")"}], " ", "\[Tau]n"}], "+", 
  
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      SuperscriptBox["h", "2"], 
      RowBox[{"2", " ", "m"}]], "+", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "n"}], " ", "p4"}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"n", " ", "p3"}], "+", 
        RowBox[{"np", " ", "p5"}]}], ")"}]}]}], ")"}], " ", 
   "\[Tau]p"}]}]], "Output"]
}, Open  ]],

Cell["Pethick, et. al.'s definition of the P's and Q's:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"P1", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"p3", "/", "2"}], "-", "p5"}], ")"}], " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", "n"}], " ", "p4"}], "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "n"}], " ", "p4"}]], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["p3", "2"], "-", "p5"}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"P2", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"p3", "/", "2"}], "+", "p5"}], ")"}], " ", 
   RowBox[{"Exp", "[", 
    RowBox[{
     RowBox[{"-", "n"}], " ", "p4"}], "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "n"}], " ", "p4"}]], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["p3", "2"], "+", "p5"}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Q1", "=", 
  RowBox[{"P1", "/", "2"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "n"}], " ", "p4"}]], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["p3", "2"], "-", "p5"}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Q2", "=", 
  RowBox[{"P2", "/", "2"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "n"}], " ", "p4"}]], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["p3", "2"], "+", "p5"}], ")"}]}]], "Output"]
}, Open  ]],

Cell["\<\
Demonstrate that this gives us what we expect, namely, the kinetic part of \
the APR Hamiltonian:\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HkinPRL", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["h", "2"], "/", "2"}], "/", "m"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"P1", "+", "P2"}], ")"}], "n"}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Q1", "-", "Q2"}], ")"}], "nn"}]}], ")"}], "\[Tau]n"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        SuperscriptBox["h", "2"], "/", "2"}], "/", "m"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"P1", "+", "P2"}], ")"}], "n"}], "-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Q1", "-", "Q2"}], ")"}], "np"}]}], ")"}], 
    "\[Tau]p"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      SuperscriptBox["h", "2"], 
      RowBox[{"2", " ", "m"}]], "-", 
     RowBox[{"nn", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         FractionBox["1", "2"], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "n"}], " ", "p4"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["p3", "2"], "-", "p5"}], ")"}]}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "n"}], " ", "p4"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["p3", "2"], "+", "p5"}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"n", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "n"}], " ", "p4"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["p3", "2"], "-", "p5"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "n"}], " ", "p4"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["p3", "2"], "+", "p5"}], ")"}]}]}], ")"}]}]}], ")"}], 
   " ", "\[Tau]n"}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      SuperscriptBox["h", "2"], 
      RowBox[{"2", " ", "m"}]], "-", 
     RowBox[{"np", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         FractionBox["1", "2"], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "n"}], " ", "p4"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["p3", "2"], "-", "p5"}], ")"}]}], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "n"}], " ", "p4"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["p3", "2"], "+", "p5"}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"n", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "n"}], " ", "p4"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["p3", "2"], "-", "p5"}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "n"}], " ", "p4"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["p3", "2"], "+", "p5"}], ")"}]}]}], ")"}]}]}], ")"}], 
   " ", "\[Tau]p"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"HkinAPR", "-", "HkinPRL"}], "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]],

Cell["Now define the new terms P1f and P2f, and dQ2dn:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"P1f", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{"P1", ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "0", ",", "np"}], "}"}]}], "]"}], "/", "np"}], 
    ")"}], "/.", 
   RowBox[{"np", "\[Rule]", "n"}]}]}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{"-", "n"}], " ", "p4"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"n", " ", "p4"}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"p3", "-", 
     RowBox[{"2", " ", "p5"}]}], ")"}]}], 
  RowBox[{"2", " ", "n", " ", "p4"}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"P2f", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{"P2", ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "0", ",", "np"}], "}"}]}], "]"}], "/", "np"}], 
    ")"}], "/.", 
   RowBox[{"np", "\[Rule]", "n"}]}]}]], "Input"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{"-", "n"}], " ", "p4"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"n", " ", "p4"}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"p3", "+", 
     RowBox[{"2", " ", "p5"}]}], ")"}]}], 
  RowBox[{"2", " ", "n", " ", "p4"}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dQ2dn", "=", 
  RowBox[{"D", "[", 
   RowBox[{"Q2", ",", "n"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["1", "2"]}], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "n"}], " ", "p4"}]], " ", "p4", " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["p3", "2"], "+", "p5"}], ")"}]}]], "Output"]
}, Open  ]],

Cell["Write the gradient part of the Hamiltonian", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Hgradient", "=", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "1"}], "/", "4"}], 
   RowBox[{"Simplify", "[", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "P1"}], "+", "P1f", "-", "P2f"}], ")"}], " ", "]"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"nn", "[", "z", "]"}], "+", 
     RowBox[{"np", "[", "z", "]"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SuperscriptBox["nn", "\[Prime]\[Prime]"], "[", "z", "]"}], "+", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]\[Prime]"], "[", "z", "]"}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"+", "1"}], "/", "2"}], 
  RowBox[{"Simplify", "[", 
   RowBox[{"(", 
    RowBox[{"Q1", "+", "Q2"}], ")"}], "]"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"nn", "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["nn", "\[Prime]\[Prime]"], "[", "z", "]"}]}], "+", 
    RowBox[{
     RowBox[{"np", "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]\[Prime]"], "[", "z", "]"}]}]}], 
   ")"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"-", "1"}], "/", "4"}], 
  RowBox[{"Simplify", "[", 
   RowBox[{"(", 
    RowBox[{"Q1", "-", "Q2"}], ")"}], "]"}], 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], "2"]}], 
   ")"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"+", "1"}], " ", 
  RowBox[{
   RowBox[{"Simplify", "[", "dQ2dn", "]"}], "/", "2"}], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"nn", "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}]}], "+", 
    RowBox[{
     RowBox[{"np", "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}]}]}], ")"}], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "+", 
    RowBox[{
     SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}]}], ")"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", "n", " ", "p4"}]], 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "n"}], " ", "p4"}]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"n", " ", "p4", " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"2", " ", "p5"}]}], ")"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"n", " ", "p4"}]]}], ")"}], " ", "p5"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"nn", "[", "z", "]"}], "+", 
      RowBox[{"np", "[", "z", "]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SuperscriptBox["nn", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "z", "]"}], "+", 
      RowBox[{
       SuperscriptBox["np", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "z", "]"}]}], ")"}]}]}]}]], "Output"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "n"}], " ", "p4"}]], " ", "p3", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"nn", "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["nn", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "z", "]"}]}], "+", 
    RowBox[{
     RowBox[{"np", "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]\[Prime]",
       MultilineFunction->None], "[", "z", "]"}]}]}], ")"}]}]], "Output"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "n"}], " ", "p4"}]], " ", "p5", " ", 
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["nn", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{
      SuperscriptBox["np", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], "2"]}], ")"}]}]], "Output"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["1", "8"]}], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "n"}], " ", "p4"}]], " ", "p4", " ", 
  RowBox[{"(", 
   RowBox[{"p3", "+", 
    RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     SuperscriptBox["nn", "\[Prime]",
      MultilineFunction->None], "[", "z", "]"}], "+", 
    RowBox[{
     SuperscriptBox["np", "\[Prime]",
      MultilineFunction->None], "[", "z", "]"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"nn", "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["nn", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}]}], "+", 
    RowBox[{
     RowBox[{"np", "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell["Use Paul's rewriting to remove the second derivatives:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Hgradnew", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", "4"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "P1"}], " ", "+", 
       RowBox[{"2", " ", "n", " ", 
        RowBox[{"D", "[", 
         RowBox[{"P1", ",", "n"}], "]"}]}], "-", "P2"}], ")"}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "+", 
        RowBox[{
         SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}]}], ")"}], "2"]}], 
    "-", 
    RowBox[{
     RowBox[{"1", "/", "4"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "Q1"}], " ", "+", " ", "Q2"}], ")"}], 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], "2"]}], ")"}]}], 
    "-", 
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", 
     RowBox[{"D", "[", 
      RowBox[{"Q1", ",", "n"}], "]"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"nn", "[", "z", "]"}], " ", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "2"]}], "+", 
       RowBox[{
        RowBox[{"np", "[", "z", "]"}], " ", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], "2"]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"nn", "[", "z", "]"}], "+", 
          RowBox[{"np", "[", "z", "]"}]}], ")"}], 
        RowBox[{
         SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], " ", 
        RowBox[{
         SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}]}]}], ")"}]}]}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "8"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "n"}], " ", "p4"}]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "n", " ", "p4", " ", 
        RowBox[{"(", 
         RowBox[{"p3", "-", 
          RowBox[{"2", " ", "p5"}]}], ")"}]}], "-", 
       RowBox[{"6", " ", "p5"}], "+", 
       RowBox[{"p4", " ", 
        RowBox[{"(", 
         RowBox[{"p3", "-", 
          RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
        RowBox[{"nn", "[", "z", "]"}]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["nn", "\[Prime]",
        MultilineFunction->None], "[", "z", "]"}], "2"]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{"p3", "-", 
          RowBox[{"n", " ", "p3", " ", "p4"}], "-", 
          RowBox[{"4", " ", "p5"}], "+", 
          RowBox[{"2", " ", "n", " ", "p4", " ", "p5"}]}], ")"}]}], "+", 
       RowBox[{"p4", " ", 
        RowBox[{"(", 
         RowBox[{"p3", "-", 
          RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
        RowBox[{"nn", "[", "z", "]"}]}], "+", 
       RowBox[{"p4", " ", 
        RowBox[{"(", 
         RowBox[{"p3", "-", 
          RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
        RowBox[{"np", "[", "z", "]"}]}]}], ")"}], " ", 
     RowBox[{
      SuperscriptBox["nn", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "n", " ", "p4", " ", 
        RowBox[{"(", 
         RowBox[{"p3", "-", 
          RowBox[{"2", " ", "p5"}]}], ")"}]}], "-", 
       RowBox[{"6", " ", "p5"}], "+", 
       RowBox[{"p4", " ", 
        RowBox[{"(", 
         RowBox[{"p3", "-", 
          RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
        RowBox[{"np", "[", "z", "]"}]}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["np", "\[Prime]",
        MultilineFunction->None], "[", "z", "]"}], "2"]}]}], 
   ")"}]}]], "Output"]
}, Open  ]],

Cell["Put in the usual form, with density dependent Q's", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Qnnnew", "=", 
  RowBox[{"2", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Hgradnew", "/.", 
        RowBox[{
         RowBox[{
          SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], "\[Rule]", 
         "0"}]}], "/.", 
       RowBox[{"n", "\[Rule]", 
        RowBox[{
         RowBox[{"nn", "[", "z", "]"}], "+", 
         RowBox[{"np", "[", "z", "]"}]}]}]}], ")"}], "/", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "2"]}], 
    "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "p4"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"nn", "[", "z", "]"}], "+", 
      RowBox[{"np", "[", "z", "]"}]}], ")"}]}]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "6"}], " ", "p5"}], "-", 
    RowBox[{"p4", " ", 
     RowBox[{"(", 
      RowBox[{"p3", "-", 
       RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
     RowBox[{"nn", "[", "z", "]"}]}], "-", 
    RowBox[{"2", " ", "p4", " ", 
     RowBox[{"(", 
      RowBox[{"p3", "-", 
       RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
     RowBox[{"np", "[", "z", "]"}]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tmp", "=", 
  RowBox[{
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Series", "[", 
      RowBox[{"Hgradnew", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], ",", "0", ",", 
         "1"}], "}"}]}], "]"}], ",", "1"}], "]"}], "/", 
   RowBox[{
    SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "8"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "n"}], " ", "p4"}]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{"p3", "-", 
       RowBox[{"n", " ", "p3", " ", "p4"}], "-", 
       RowBox[{"4", " ", "p5"}], "+", 
       RowBox[{"2", " ", "n", " ", "p4", " ", "p5"}]}], ")"}]}], "+", 
    RowBox[{"p4", " ", 
     RowBox[{"(", 
      RowBox[{"p3", "-", 
       RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
     RowBox[{"nn", "[", "z", "]"}]}], "+", 
    RowBox[{"p4", " ", 
     RowBox[{"(", 
      RowBox[{"p3", "-", 
       RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
     RowBox[{"np", "[", "z", "]"}]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Qnpnew", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"(", 
    RowBox[{"tmp", "/.", 
     RowBox[{"n", "\[Rule]", 
      RowBox[{
       RowBox[{"nn", "[", "z", "]"}], "+", 
       RowBox[{"np", "[", "z", "]"}]}]}]}], ")"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "8"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "p4"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"nn", "[", "z", "]"}], "+", 
      RowBox[{"np", "[", "z", "]"}]}], ")"}]}]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{"p3", "-", 
       RowBox[{"4", " ", "p5"}]}], ")"}]}], "-", 
    RowBox[{"3", " ", "p4", " ", 
     RowBox[{"(", 
      RowBox[{"p3", "-", 
       RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
     RowBox[{"nn", "[", "z", "]"}]}], "-", 
    RowBox[{"3", " ", "p4", " ", 
     RowBox[{"(", 
      RowBox[{"p3", "-", 
       RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
     RowBox[{"np", "[", "z", "]"}]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Qppnew", "=", 
  RowBox[{"2", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Hgradnew", "/.", 
        RowBox[{
         RowBox[{
          SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "\[Rule]", 
         "0"}]}], "/.", 
       RowBox[{"n", "\[Rule]", 
        RowBox[{
         RowBox[{"nn", "[", "z", "]"}], "+", 
         RowBox[{"np", "[", "z", "]"}]}]}]}], ")"}], "/", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], "2"]}], 
    "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", "p4"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"nn", "[", "z", "]"}], "+", 
      RowBox[{"np", "[", "z", "]"}]}], ")"}]}]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "6"}], " ", "p5"}], "-", 
    RowBox[{"2", " ", "p4", " ", 
     RowBox[{"(", 
      RowBox[{"p3", "-", 
       RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
     RowBox[{"nn", "[", "z", "]"}]}], "-", 
    RowBox[{"p4", " ", 
     RowBox[{"(", 
      RowBox[{"p3", "-", 
       RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
     RowBox[{"np", "[", "z", "]"}]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Qnnnew", "/.", 
    RowBox[{
     RowBox[{"nn", "[", "z", "]"}], "\[Rule]", "0"}]}], "/.", 
   RowBox[{
    RowBox[{"np", "[", "z", "]"}], "\[Rule]", "0"}]}], "/.", 
  RowBox[{"p5", "\[Rule]", 
   RowBox[{"-", "59.0"}]}]}]], "Input"],

Cell[BoxData["88.5`"], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Qnpnew", "/.", 
     RowBox[{
      RowBox[{"nn", "[", "z", "]"}], "\[Rule]", "0"}]}], "/.", 
    RowBox[{
     RowBox[{"np", "[", "z", "]"}], "\[Rule]", "0"}]}], "/.", 
   RowBox[{"p5", "\[Rule]", 
    RowBox[{"-", "59.0"}]}]}], "/.", 
  RowBox[{"p3", "\[Rule]", "89.9"}]}]], "Input"],

Cell[BoxData["162.95`"], "Output"]
}, Open  ]],

Cell["Take derivatives so that we can easily write the Diff Eq's:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"Qnnnew", ",", 
      RowBox[{"nn", "[", "z", "]"}]}], "]"}], "]"}], ",", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"Qnnnew", ",", 
      RowBox[{"np", "[", "z", "]"}]}], "]"}], "]"}]}], "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["1", "4"], " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "p4"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"nn", "[", "z", "]"}], "+", 
        RowBox[{"np", "[", "z", "]"}]}], ")"}]}]], " ", "p4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "p3"}], "+", 
      RowBox[{"8", " ", "p5"}], "+", 
      RowBox[{"p4", " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"nn", "[", "z", "]"}]}], "+", 
      RowBox[{"2", " ", "p4", " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"np", "[", "z", "]"}]}]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "p4"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"nn", "[", "z", "]"}], "+", 
        RowBox[{"np", "[", "z", "]"}]}], ")"}]}]], " ", "p4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"p4", " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"nn", "[", "z", "]"}]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "p3"}], "+", 
         RowBox[{"5", " ", "p5"}], "+", 
         RowBox[{"p4", " ", 
          RowBox[{"(", 
           RowBox[{"p3", "-", 
            RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
          RowBox[{"np", "[", "z", "]"}]}]}], ")"}]}]}], ")"}]}]}], 
  "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"Qnpnew", ",", 
      RowBox[{"nn", "[", "z", "]"}]}], "]"}], "]"}], ",", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"Qnpnew", ",", 
      RowBox[{"np", "[", "z", "]"}]}], "]"}], "]"}]}], "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["1", "8"], " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "p4"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"nn", "[", "z", "]"}], "+", 
        RowBox[{"np", "[", "z", "]"}]}], ")"}]}]], " ", "p4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "7"}], " ", "p3"}], "+", 
      RowBox[{"22", " ", "p5"}], "+", 
      RowBox[{"3", " ", "p4", " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"nn", "[", "z", "]"}]}], "+", 
      RowBox[{"3", " ", "p4", " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"np", "[", "z", "]"}]}]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", "8"], " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "p4"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"nn", "[", "z", "]"}], "+", 
        RowBox[{"np", "[", "z", "]"}]}], ")"}]}]], " ", "p4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "7"}], " ", "p3"}], "+", 
      RowBox[{"22", " ", "p5"}], "+", 
      RowBox[{"3", " ", "p4", " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"nn", "[", "z", "]"}]}], "+", 
      RowBox[{"3", " ", "p4", " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"np", "[", "z", "]"}]}]}], ")"}]}]}], "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"Qppnew", ",", 
      RowBox[{"nn", "[", "z", "]"}]}], "]"}], "]"}], ",", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"Qppnew", ",", 
      RowBox[{"np", "[", "z", "]"}]}], "]"}], "]"}]}], "}"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    FractionBox["1", "4"], " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "p4"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"nn", "[", "z", "]"}], "+", 
        RowBox[{"np", "[", "z", "]"}]}], ")"}]}]], " ", "p4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"5", " ", "p5"}]}], ")"}]}], "+", 
      RowBox[{"2", " ", "p4", " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"nn", "[", "z", "]"}]}], "+", 
      RowBox[{"p4", " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"np", "[", "z", "]"}]}]}], ")"}]}], ",", 
   RowBox[{
    FractionBox["1", "4"], " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "p4"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"nn", "[", "z", "]"}], "+", 
        RowBox[{"np", "[", "z", "]"}]}], ")"}]}]], " ", "p4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "p3"}], "+", 
      RowBox[{"8", " ", "p5"}], "+", 
      RowBox[{"2", " ", "p4", " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"nn", "[", "z", "]"}]}], "+", 
      RowBox[{"p4", " ", 
       RowBox[{"(", 
        RowBox[{"p3", "-", 
         RowBox[{"2", " ", "p5"}]}], ")"}], " ", 
       RowBox[{"np", "[", "z", "]"}]}]}], ")"}]}]}], "}"}]], "Output"]
}, Open  ]],

Cell["Check:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Qnnnew", " ", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "2"], "/", "2"}]}],
     "+", 
    RowBox[{"Qnpnew", " ", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], 
     RowBox[{
      SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}]}], "+", 
    RowBox[{"Qppnew", " ", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], "2"], "/", "2"}]}],
     "-", "Hgradnew"}], "/.", 
   RowBox[{"n", "\[Rule]", 
    RowBox[{
     RowBox[{"nn", "[", "z", "]"}], "+", 
     RowBox[{"np", "[", "z", "]"}]}]}]}], "]"}]], "Input"],

Cell[BoxData["0"], "Output"]
}, Open  ]],

Cell["Get boundary conditions:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nn", "=", 
  RowBox[{"nn0", "-", 
   RowBox[{"\[Delta]", " ", 
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", "\[Alpha]"}], " ", "x"}], "]"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"nn0", "-", 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{"-", "x"}], " ", "\[Alpha]"}]], " ", "\[Delta]"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"np", "=", 
  RowBox[{"np0", "-", 
   RowBox[{"\[Epsilon]", " ", 
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", "\[Alpha]"}], " ", "x"}], "]"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"np0", "-", 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{"-", "x"}], " ", "\[Alpha]"}]], " ", "\[Epsilon]"}]}]], "Output"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"nnp", "=", 
   RowBox[{"D", "[", 
    RowBox[{"nn", ",", "x"}], "]"}]}], ";", " ", 
  RowBox[{"npp", "=", 
   RowBox[{"D", "[", 
    RowBox[{"np", ",", "x"}], "]"}]}], ";", " ", 
  RowBox[{"nnpp", "=", 
   RowBox[{"D", "[", 
    RowBox[{"nnp", ",", "x"}], "]"}]}], ";", " ", 
  RowBox[{"nppp", "=", 
   RowBox[{"D", "[", 
    RowBox[{"npp", ",", "x"}], "]"}]}], ";"}]], "Input"],

Cell["Old boundary condition equation:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{"\[Alpha]", " ", "x"}], "]"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Qnn", " ", "nnpp"}], "+", 
       RowBox[{"Qnp", " ", "nppp"}]}], ")"}]}], "\[Equal]", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{"\[Alpha]", " ", "x"}], "]"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"dmundnn", " ", 
        RowBox[{"(", 
         RowBox[{"nn", "-", "nn0"}], ")"}]}], " ", "+", 
       RowBox[{"dmundnp", " ", 
        RowBox[{"(", 
         RowBox[{"np", "-", "np0"}], ")"}]}]}], ")"}]}]}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"dmundnn", " ", "\[Delta]"}], "+", 
   RowBox[{"dmundnp", " ", "\[Epsilon]"}]}], "\[Equal]", 
  RowBox[{
   SuperscriptBox["\[Alpha]", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Qnn", " ", "\[Delta]"}], "+", 
     RowBox[{"Qnp", " ", "\[Epsilon]"}]}], ")"}]}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{"eq1", ",", "\[Epsilon]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"\[Epsilon]", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{
       RowBox[{"-", "dmundnn"}], " ", "\[Delta]"}], "+", 
      RowBox[{"Qnn", " ", 
       SuperscriptBox["\[Alpha]", "2"], " ", "\[Delta]"}]}], 
     RowBox[{"dmundnp", "-", 
      RowBox[{"Qnp", " ", 
       SuperscriptBox["\[Alpha]", "2"]}]}]]}], "}"}], "}"}]], "Output"]
}, Open  ]],

Cell["New boundary condition equation:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Qnn", " ", "nnpp"}], "+", 
     RowBox[{"Qnp", " ", "nppp"}]}], ")"}], "\[Equal]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"dmundnn", " ", 
      RowBox[{"(", 
       RowBox[{"nn", "-", "nn0"}], ")"}]}], " ", "+", 
     RowBox[{"dmundnp", " ", 
      RowBox[{"(", 
       RowBox[{"np", "-", "np0"}], ")"}]}], "+", 
     RowBox[{"dqnndnn", " ", 
      RowBox[{
       SuperscriptBox["nnp", "2"], "/", "2"}]}], "+", 
     RowBox[{"dqnpdnn", " ", "nnp", " ", "npp"}], "+", 
     RowBox[{"dqppdnn", " ", 
      RowBox[{
       SuperscriptBox["npp", "2"], "/", "2"}]}]}], ")"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "x"}], " ", "\[Alpha]"}]]}], " ", "Qnn", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Delta]"}], "-", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "x"}], " ", "\[Alpha]"}]], " ", "Qnp", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Epsilon]"}]}], "\[Equal]", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "dmundnn"}], " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "x"}], " ", "\[Alpha]"}]], " ", "\[Delta]"}], "+", 
   RowBox[{
    FractionBox["1", "2"], " ", "dqnndnn", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "x", " ", "\[Alpha]"}]], " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", 
    SuperscriptBox["\[Delta]", "2"]}], "-", 
   RowBox[{"dmundnp", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "x"}], " ", "\[Alpha]"}]], " ", "\[Epsilon]"}], "+", 
   RowBox[{"dqnpdnn", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "x", " ", "\[Alpha]"}]], " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", "\[Delta]", " ", "\[Epsilon]"}], 
   "+", 
   RowBox[{
    FractionBox["1", "2"], " ", "dqppdnn", " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "x", " ", "\[Alpha]"}]], " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", 
    SuperscriptBox["\[Epsilon]", "2"]}]}]}]], "Output"]
}, Open  ]],

Cell["\<\
Note that since the exponents are even smaller, that we can use the old
boundary conditions to first order.\
\>", "Text"],

Cell["Now go back to the Skyrme form:", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "\"\<nn\>\"", "]"}], ";", " ", 
  RowBox[{"Clear", "[", "\"\<np\>\"", "]"}], ";", " ", 
  RowBox[{"Clear", "[", "\"\<n\>\"", "]"}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"P1", "=", 
   RowBox[{
    RowBox[{"t1", "[", "n", "]"}], "/", "4"}]}], ";", " ", 
  RowBox[{"P2", "=", 
   RowBox[{
    RowBox[{"t2", "[", "n", "]"}], "/", "4"}]}], ";", " ", 
  RowBox[{"Q1", "=", 
   RowBox[{
    RowBox[{"t1", "[", "n", "]"}], "/", "8"}]}], ";", " ", 
  RowBox[{"Q2", "=", 
   RowBox[{
    RowBox[{"t2", "[", "n", "]"}], "/", "8"}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Hgradnew", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"1", "/", "4"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "P1"}], " ", "+", 
       RowBox[{"2", " ", "n", " ", 
        RowBox[{"D", "[", 
         RowBox[{"P1", ",", "n"}], "]"}]}], "-", "P2"}], ")"}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "+", 
        RowBox[{
         SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}]}], ")"}], "2"]}], 
    "-", 
    RowBox[{
     RowBox[{"1", "/", "4"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "Q1"}], " ", "+", " ", "Q2"}], ")"}], 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], "2"]}], ")"}]}], 
    "-", 
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", 
     RowBox[{"D", "[", 
      RowBox[{"Q1", ",", "n"}], "]"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"nn", "[", "z", "]"}], " ", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "2"]}], "+", 
       RowBox[{
        RowBox[{"np", "[", "z", "]"}], " ", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], "2"]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"nn", "[", "z", "]"}], "+", 
          RowBox[{"np", "[", "z", "]"}]}], ")"}], 
        RowBox[{
         SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], " ", 
        RowBox[{
         SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}]}]}], ")"}]}]}], 
   "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "32"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"3", " ", 
     RowBox[{"t1", "[", "n", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["nn", "\[Prime]",
          MultilineFunction->None], "[", "z", "]"}], "2"], "+", 
       RowBox[{"4", " ", 
        RowBox[{
         SuperscriptBox["nn", "\[Prime]",
          MultilineFunction->None], "[", "z", "]"}], " ", 
        RowBox[{
         SuperscriptBox["np", "\[Prime]",
          MultilineFunction->None], "[", "z", "]"}]}], "+", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["np", "\[Prime]",
          MultilineFunction->None], "[", "z", "]"}], "2"]}], ")"}]}], "-", 
    RowBox[{
     RowBox[{"t2", "[", "n", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["nn", "\[Prime]",
           MultilineFunction->None], "[", "z", "]"}], "2"]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{
         SuperscriptBox["nn", "\[Prime]",
          MultilineFunction->None], "[", "z", "]"}], " ", 
        RowBox[{
         SuperscriptBox["np", "\[Prime]",
          MultilineFunction->None], "[", "z", "]"}]}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{
          SuperscriptBox["np", "\[Prime]",
           MultilineFunction->None], "[", "z", "]"}], "2"]}]}], ")"}]}], "+", 
    
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["nn", "\[Prime]",
         MultilineFunction->None], "[", "z", "]"}], "+", 
       RowBox[{
        SuperscriptBox["np", "\[Prime]",
         MultilineFunction->None], "[", "z", "]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "n"}], "-", 
          RowBox[{"nn", "[", "z", "]"}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["nn", "\[Prime]",
          MultilineFunction->None], "[", "z", "]"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "n"}], "-", 
          RowBox[{"np", "[", "z", "]"}]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["np", "\[Prime]",
          MultilineFunction->None], "[", "z", "]"}]}]}], ")"}], " ", 
     RowBox[{
      SuperscriptBox["t1", "\[Prime]",
       MultilineFunction->None], "[", "n", "]"}]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Qnnnew", "=", 
  RowBox[{"2", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Hgradnew", "/.", 
       RowBox[{
        RowBox[{
         SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], "\[Rule]", 
        "0"}]}], ")"}], "/", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "2"]}], 
    "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "16"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"3", " ", 
     RowBox[{"t1", "[", "n", "]"}]}], "-", 
    RowBox[{"3", " ", 
     RowBox[{"t2", "[", "n", "]"}]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "n"}], "-", 
       RowBox[{"nn", "[", "z", "]"}]}], ")"}], " ", 
     RowBox[{
      SuperscriptBox["t1", "\[Prime]",
       MultilineFunction->None], "[", "n", "]"}]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tmp", "=", 
  RowBox[{
   RowBox[{"SeriesCoefficient", "[", 
    RowBox[{
     RowBox[{"Series", "[", 
      RowBox[{"Hgradnew", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], ",", "0", ",", 
         "1"}], "}"}]}], "]"}], ",", "1"}], "]"}], "/", 
   RowBox[{
    SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{
    SuperscriptBox["np", "\[Prime]",
     MultilineFunction->None], "[", "z", "]"}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     FractionBox["3", "8"], " ", 
     RowBox[{"t1", "[", "n", "]"}], " ", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "8"], " ", 
     RowBox[{"t2", "[", "n", "]"}], " ", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "4"], " ", "n", " ", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["t1", "\[Prime]",
       MultilineFunction->None], "[", "n", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "16"], " ", 
     RowBox[{"nn", "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["t1", "\[Prime]",
       MultilineFunction->None], "[", "n", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "16"], " ", 
     RowBox[{"np", "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["np", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], " ", 
     RowBox[{
      SuperscriptBox["t1", "\[Prime]",
       MultilineFunction->None], "[", "n", "]"}]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Qnpnew", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"(", "tmp", ")"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "16"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"6", " ", 
     RowBox[{"t1", "[", "n", "]"}]}], "-", 
    RowBox[{"2", " ", 
     RowBox[{"t2", "[", "n", "]"}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", "n"}], "+", 
       RowBox[{"nn", "[", "z", "]"}], "+", 
       RowBox[{"np", "[", "z", "]"}]}], ")"}], " ", 
     RowBox[{
      SuperscriptBox["t1", "\[Prime]",
       MultilineFunction->None], "[", "n", "]"}]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Qppnew", "=", 
  RowBox[{"2", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"Hgradnew", "/.", 
       RowBox[{
        RowBox[{
         SuperscriptBox["nn", "\[Prime]"], "[", "z", "]"}], "\[Rule]", 
        "0"}]}], ")"}], "/", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox["np", "\[Prime]"], "[", "z", "]"}], "2"]}], 
    "]"}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "16"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"3", " ", 
     RowBox[{"t1", "[", "n", "]"}]}], "-", 
    RowBox[{"3", " ", 
     RowBox[{"t2", "[", "n", "]"}]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "n"}], "-", 
       RowBox[{"np", "[", "z", "]"}]}], ")"}], " ", 
     RowBox[{
      SuperscriptBox["t1", "\[Prime]",
       MultilineFunction->None], "[", "n", "]"}]}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell["Now find t1 and t2 as a function of the effective masses", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"tx1", "=", 
   RowBox[{
    RowBox[{"1", "/", "4"}], 
    RowBox[{"(", 
     RowBox[{"t1", "+", "t2"}], ")"}]}]}], ";", " ", 
  RowBox[{"tx2", "=", 
   RowBox[{
    RowBox[{"1", "/", "4"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"t2", "/", "2"}], "-", 
      RowBox[{"t1", "/", "2"}]}], ")"}]}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"msn", "\[Equal]", 
   RowBox[{"mn", "/", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"n", " ", "tx1"}], "+", 
         RowBox[{"nn", " ", "tx2"}]}], ")"}], "mn"}]}], ")"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"msn", "\[Equal]", 
  FractionBox["mn", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "mn", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        FractionBox["1", "4"], " ", "nn", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["t1", "2"]}], "+", 
          FractionBox["t2", "2"]}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "4"], " ", "n", " ", 
        RowBox[{"(", 
         RowBox[{"t1", "+", "t2"}], ")"}]}]}], ")"}]}]}]]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{"msp", "\[Equal]", 
   RowBox[{"mp", "/", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"n", " ", "tx1"}], "+", 
         RowBox[{"np", " ", "tx2"}]}], ")"}], " ", "mp"}]}], 
     ")"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"msp", "\[Equal]", 
  FractionBox["mp", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "mp", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        FractionBox["1", "4"], " ", "np", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["t1", "2"]}], "+", 
          FractionBox["t2", "2"]}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "4"], " ", "n", " ", 
        RowBox[{"(", 
         RowBox[{"t1", "+", "t2"}], ")"}]}]}], ")"}]}]}]]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eq1", ",", "eq2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t1", ",", "t2"}], "}"}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"t1", "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "mn", " ", "mp", " ", "msn", " ", "n"}], "-", 
        RowBox[{"2", " ", "mn", " ", "mp", " ", "msp", " ", "n"}], "-", 
        RowBox[{"2", " ", "mn", " ", "msn", " ", "msp", " ", "n"}], "+", 
        RowBox[{"2", " ", "mp", " ", "msn", " ", "msp", " ", "n"}], "+", 
        RowBox[{"mn", " ", "mp", " ", "msn", " ", "nn"}], "-", 
        RowBox[{"mn", " ", "msn", " ", "msp", " ", "nn"}], "-", 
        RowBox[{"mn", " ", "mp", " ", "msp", " ", "np"}], "+", 
        RowBox[{"mp", " ", "msn", " ", "msp", " ", "np"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
        "mn", " ", "mp", " ", "msn", " ", "msp", " ", "n", " ", "nn"}], "-", 
        RowBox[{
        "mn", " ", "mp", " ", "msn", " ", "msp", " ", "n", " ", "np"}]}], 
       ")"}]}]}], ",", 
    RowBox[{"t2", "\[Rule]", 
     RowBox[{"-", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "4"}], " ", "mp"}], "+", 
             RowBox[{"4", " ", "msp"}]}], ")"}]}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "mn", " ", "msn", " ", "n"}], "-", 
            RowBox[{"mn", " ", "msn", " ", "nn"}]}], ")"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", "mn"}], "+", 
            RowBox[{"4", " ", "msn"}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "mp", " ", "msp", " ", "n"}], "-", 
            RowBox[{"mp", " ", "msp", " ", "np"}]}], ")"}]}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
         "4", " ", "mn", " ", "mp", " ", "msn", " ", "msp", " ", "n", " ", 
          "nn"}], "-", 
         RowBox[{
         "4", " ", "mn", " ", "mp", " ", "msn", " ", "msp", " ", "n", " ", 
          "np"}]}], ")"}]}]}]}]}], "}"}], "}"}]], "Output"]
}, Open  ]],

Cell["What if x=1/2 and nn=np:", "Text"],

Cell[BoxData[
 RowBox[{
  RowBox[{"tx1", "=", 
   RowBox[{
    RowBox[{"1", "/", "4"}], 
    RowBox[{"(", 
     RowBox[{"t1", "+", "t2"}], ")"}]}]}], ";", " ", 
  RowBox[{"tx2", "=", 
   RowBox[{
    RowBox[{"1", "/", "4"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"t2", "/", "2"}], "-", 
      RowBox[{"t1", "/", "2"}]}], ")"}]}]}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"msn", "\[Equal]", 
   RowBox[{"mn", "/", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"n", " ", "tx1"}], "+", 
         RowBox[{
          RowBox[{"n", "/", "2"}], " ", "tx2"}]}], ")"}], "mn"}]}], 
     ")"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"msn", "\[Equal]", 
  FractionBox["mn", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "mn", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        FractionBox["1", "8"], " ", "n", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["t1", "2"]}], "+", 
          FractionBox["t2", "2"]}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "4"], " ", "n", " ", 
        RowBox[{"(", 
         RowBox[{"t1", "+", "t2"}], ")"}]}]}], ")"}]}]}]]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eq2", "=", 
  RowBox[{"msp", "\[Equal]", 
   RowBox[{"mp", "/", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"2", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"n", " ", "tx1"}], "+", 
         RowBox[{
          RowBox[{"n", "/", "2"}], " ", "tx2"}]}], ")"}], " ", "mp"}]}], 
     ")"}]}]}]}]], "Input"],

Cell[BoxData[
 RowBox[{"msp", "\[Equal]", 
  FractionBox["mp", 
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "mp", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        FractionBox["1", "8"], " ", "n", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["t1", "2"]}], "+", 
          FractionBox["t2", "2"]}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "4"], " ", "n", " ", 
        RowBox[{"(", 
         RowBox[{"t1", "+", "t2"}], ")"}]}]}], ")"}]}]}]]}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"xol1", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{"eq1", ",", "t1"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t1", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"8", " ", "mn"}], "-", 
      RowBox[{"8", " ", "msn"}], "-", 
      RowBox[{"5", " ", "mn", " ", "msn", " ", "n", " ", "t2"}]}], 
     RowBox[{"3", " ", "mn", " ", "msn", " ", "n"}]]}], "}"}], 
  "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"xol2", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{"eq2", ",", "t1"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t1", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"8", " ", "mp"}], "-", 
      RowBox[{"8", " ", "msp"}], "-", 
      RowBox[{"5", " ", "mp", " ", "msp", " ", "n", " ", "t2"}]}], 
     RowBox[{"3", " ", "mp", " ", "msp", " ", "n"}]]}], "}"}], 
  "}"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"xol1", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "-", 
    RowBox[{
     RowBox[{
      RowBox[{"xol2", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}], "]"}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["8", 
    RowBox[{"3", " ", "mn", " ", "n"}]]}], "+", 
  FractionBox["8", 
   RowBox[{"3", " ", "mp", " ", "n"}]], "+", 
  FractionBox["8", 
   RowBox[{"3", " ", "msn", " ", "n"}]], "-", 
  FractionBox["8", 
   RowBox[{"3", " ", "msp", " ", "n"}]]}]], "Output"]
}, Open  ]]
},
WindowSize->{1920, 1055},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>"apr_eos.ps"},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
FrontEndVersion->"9.0 for Linux x86 (64-bit) (February 7, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 228, 6, 32, "Input"],
Cell[776, 28, 121, 3, 51, "Text"],
Cell[CellGroupData[{
Cell[922, 35, 169, 6, 32, "Input"],
Cell[1094, 43, 153, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1284, 53, 169, 6, 32, "Input"],
Cell[1456, 61, 153, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1646, 71, 169, 6, 32, "Input"],
Cell[1818, 79, 153, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2008, 89, 169, 6, 32, "Input"],
Cell[2180, 97, 153, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2370, 107, 52, 1, 32, "Input"],
Cell[2425, 110, 153, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2615, 120, 52, 1, 32, "Input"],
Cell[2670, 123, 153, 5, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2860, 133, 53, 1, 32, "Input"],
Cell[2916, 136, 28, 0, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2981, 141, 2150, 67, 127, "Input"],
Cell[5134, 210, 2014, 62, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7185, 277, 1446, 49, 32, "Input"],
Cell[8634, 328, 1513, 50, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10184, 383, 771, 25, 32, "Input"],
Cell[10958, 410, 28, 0, 32, "Output"]
}, Open  ]],
Cell[11001, 413, 44, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[11070, 417, 2219, 77, 35, "Input"],
Cell[13292, 496, 2053, 69, 59, "Output"]
}, Open  ]],
Cell[15360, 568, 34, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[15419, 572, 883, 32, 35, "Input"],
Cell[16305, 606, 845, 31, 59, "Output"]
}, Open  ]],
Cell[17165, 640, 65, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[17255, 644, 228, 8, 32, "Input"],
Cell[17486, 654, 205, 7, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17728, 666, 228, 8, 32, "Input"],
Cell[17959, 676, 205, 7, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18201, 688, 74, 2, 32, "Input"],
Cell[18278, 692, 236, 8, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18551, 705, 74, 2, 32, "Input"],
Cell[18628, 709, 236, 8, 54, "Output"]
}, Open  ]],
Cell[18879, 720, 121, 3, 31, "Text"],
Cell[CellGroupData[{
Cell[19025, 727, 751, 27, 35, "Input"],
Cell[19779, 756, 2678, 87, 59, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22494, 848, 96, 2, 32, "Input"],
Cell[22593, 852, 28, 0, 32, "Output"]
}, Open  ]],
Cell[22636, 855, 64, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[22725, 859, 296, 10, 32, "Input"],
Cell[23024, 871, 417, 14, 58, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23478, 890, 296, 10, 32, "Input"],
Cell[23777, 902, 417, 14, 58, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24231, 921, 106, 3, 32, "Input"],
Cell[24340, 926, 266, 9, 54, "Output"]
}, Open  ]],
Cell[24621, 938, 58, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[24704, 942, 2136, 71, 123, "Input"],
Cell[26843, 1015, 1017, 32, 56, "Output"],
Cell[27863, 1049, 550, 17, 54, "Output"],
Cell[28416, 1068, 472, 15, 54, "Output"],
Cell[28891, 1085, 886, 29, 54, "Output"]
}, Open  ]],
Cell[29792, 1117, 70, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[29887, 1121, 1846, 59, 35, "Input"],
Cell[31736, 1182, 2243, 69, 54, "Output"]
}, Open  ]],
Cell[33994, 1254, 65, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[34084, 1258, 579, 19, 35, "Input"],
Cell[34666, 1279, 697, 23, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35400, 1307, 429, 13, 32, "Input"],
Cell[35832, 1322, 741, 23, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36610, 1350, 268, 8, 32, "Input"],
Cell[36881, 1360, 768, 25, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37686, 1390, 579, 19, 35, "Input"],
Cell[38268, 1411, 697, 23, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39002, 1439, 280, 9, 32, "Input"],
Cell[39285, 1450, 32, 0, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39354, 1455, 345, 11, 32, "Input"],
Cell[39702, 1468, 34, 0, 32, "Output"]
}, Open  ]],
Cell[39751, 1471, 75, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[39851, 1475, 332, 10, 32, "Input"],
Cell[40186, 1487, 1633, 52, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41856, 1544, 332, 10, 32, "Input"],
Cell[42191, 1556, 1623, 50, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43851, 1611, 332, 10, 32, "Input"],
Cell[44186, 1623, 1623, 51, 54, "Output"]
}, Open  ]],
Cell[45824, 1677, 22, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[45871, 1681, 744, 24, 35, "Input"],
Cell[46618, 1707, 28, 0, 32, "Output"]
}, Open  ]],
Cell[46661, 1710, 40, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[46726, 1714, 193, 6, 32, "Input"],
Cell[46922, 1722, 174, 5, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47133, 1732, 195, 6, 32, "Input"],
Cell[47331, 1740, 176, 5, 32, "Output"]
}, Open  ]],
Cell[47522, 1748, 413, 13, 32, "Input"],
Cell[47938, 1763, 48, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[48011, 1767, 660, 21, 32, "Input"],
Cell[48674, 1790, 332, 10, 32, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49043, 1805, 92, 2, 32, "Input"],
Cell[49138, 1809, 403, 12, 59, "Output"]
}, Open  ]],
Cell[49556, 1824, 48, 0, 31, "Text"],
Cell[CellGroupData[{
Cell[49629, 1828, 682, 21, 35, "Input"],
Cell[50314, 1851, 1554, 43, 54, "Output"]
}, Open  ]],
Cell[51883, 1897, 131, 3, 51, "Text"],
Cell[52017, 1902, 47, 0, 31, "Text"],
Cell[52067, 1904, 196, 4, 32, "Input"],
Cell[52266, 1910, 405, 13, 32, "Input"],
Cell[CellGroupData[{
Cell[52696, 1927, 1846, 59, 35, "Input"],
Cell[54545, 1988, 2490, 75, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57072, 2068, 411, 14, 35, "Input"],
Cell[57486, 2084, 492, 16, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58015, 2105, 429, 13, 32, "Input"],
Cell[58447, 2120, 1483, 45, 57, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59967, 2170, 115, 3, 32, "Input"],
Cell[60085, 2175, 550, 18, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[60672, 2198, 411, 14, 35, "Input"],
Cell[61086, 2214, 492, 16, 54, "Output"]
}, Open  ]],
Cell[61593, 2233, 72, 0, 31, "Text"],
Cell[61668, 2235, 357, 13, 32, "Input"],
Cell[CellGroupData[{
Cell[62050, 2252, 309, 10, 32, "Input"],
Cell[62362, 2264, 532, 17, 65, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62931, 2286, 320, 11, 32, "Input"],
Cell[63254, 2299, 532, 17, 65, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63823, 2321, 225, 7, 32, "Input"],
Cell[64051, 2330, 2130, 56, 55, "Output"]
}, Open  ]],
Cell[66196, 2389, 40, 0, 31, "Text"],
Cell[66239, 2391, 357, 13, 32, "Input"],
Cell[CellGroupData[{
Cell[66621, 2408, 345, 12, 32, "Input"],
Cell[66969, 2422, 531, 17, 65, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[67537, 2444, 350, 12, 32, "Input"],
Cell[67890, 2458, 531, 17, 65, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[68458, 2480, 111, 3, 32, "Input"],
Cell[68572, 2485, 333, 10, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[68942, 2500, 111, 3, 32, "Input"],
Cell[69056, 2505, 333, 10, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69426, 2520, 472, 15, 32, "Input"],
Cell[69901, 2537, 316, 10, 56, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
